Bug 200679 - math/py-networkx: Update to 1.9.1
Summary: math/py-networkx: Update to 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: easy, patch, patch-ready
Depends on: 200678
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-06 17:43 UTC by Yuri Victorovich
Modified: 2015-06-14 15:42 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (3.14 KB, patch)
2015-06-06 17:43 UTC, Yuri Victorovich
no flags Details | Diff
poudriere log (184.06 KB, text/plain)
2015-06-06 17:44 UTC, Yuri Victorovich
no flags Details
patch (3.14 KB, patch)
2015-06-07 03:20 UTC, Yuri Victorovich
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-06-06 17:43:03 UTC
Created attachment 157476 [details]
patch

Also added dependencies.
Comment 1 Yuri Victorovich freebsd_committer 2015-06-06 17:43:38 UTC
New dependency https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200678
Comment 2 Yuri Victorovich freebsd_committer 2015-06-06 17:44:22 UTC
Created attachment 157477 [details]
poudriere log
Comment 3 dikshie 2015-06-07 02:44:16 UTC
why do you need py-scikit-sparse?  

from http://networkx.github.io/documentation/networkx-1.9.1/install.html   
it does not mention py-scikit-sparse.
Comment 4 Yuri Victorovich freebsd_committer 2015-06-07 02:55:11 UTC
I went by the actual imports. Please see the line linalg/algebraicconnectivity.py:555:

> from scikits.sparse.cholmod import cholesky

They forgot to mention it in their docs.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-07 03:03:26 UTC
Thanks Yuri! 

A couple of things:

Patch:

- Sort USE_PYTHON values alphabetically

Bug Reporting:

- No need to bracket [cat/port] in issue summaries
- No need for full bug URL's in comments. "Bug #XXXX" will automatically link
- Please add dependent/blocking ID's in the "Depends On" or "Blocks" fields respectively, otherwise they may be forgotten/missed.
Comment 6 Yuri Victorovich freebsd_committer 2015-06-07 03:20:15 UTC
Created attachment 157491 [details]
patch

Sorted USE_PYTHON
Comment 7 dikshie 2015-06-07 04:09:37 UTC
Looks good for me. 
Approved.  

thanks! 
(note: sorry, my sfc.wide.ad.jp email now forwarding to gmail).
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-07 04:35:10 UTC
@dickshie, please update your bugzilla account to the address you will provide your maintainer approvals from, otherwise we cant guarantee its you. Thanks!
Comment 9 dikshie 2015-06-07 04:45:06 UTC
(In reply to Kubilay Kocak from comment #8)

Ok got it.  
Now I am using dikshie@sfc.wide.ad.jp. 

Approved this patch.
Comment 10 commit-hook freebsd_committer 2015-06-14 15:41:14 UTC
A commit references this bug:

Author: wen
Date: Sun Jun 14 15:40:34 UTC 2015
New revision: 389644
URL: https://svnweb.freebsd.org/changeset/ports/389644

Log:
  - Update to 1.9.1

  PR:		200679
  Submitted by:	yuri@rawbw.com
  Approved by:	maintainer

Changes:
  head/math/py-networkx/Makefile
  head/math/py-networkx/distinfo
  head/math/py-networkx/files/patch-setup.py